Merge from trunk.
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module absolute-header:
42 # Code from module alloca-opt:
43 # Code from module allocator:
44 # Code from module at-internal:
45 # Code from module binary-io:
46 # Code from module byteswap:
47 # Code from module c-ctype:
48 # Code from module c-strcase:
49 # Code from module careadlinkat:
50 # Code from module clock-time:
51 # Code from module close-stream:
52 # Code from module count-one-bits:
53 # Code from module count-trailing-zeros:
54 # Code from module crypto/md5:
55 # Code from module crypto/sha1:
56 # Code from module crypto/sha256:
57 # Code from module crypto/sha512:
58 # Code from module dirent:
59 # Code from module dosname:
60 # Code from module dtoastr:
61 # Code from module dtotimespec:
62 # Code from module dup2:
63 # Code from module environ:
64 # Code from module errno:
65 # Code from module euidaccess:
66 # Code from module execinfo:
67 # Code from module extensions:
68 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
69 # Code from module extern-inline:
70 # Code from module faccessat:
71 # Code from module fcntl:
72 # Code from module fcntl-h:
73 # Code from module fdatasync:
74 # Code from module fdopendir:
75 # Code from module filemode:
76 # Code from module fpending:
77 # Code from module fstatat:
78 # Code from module fsync:
79 # Code from module getdtablesize:
80 # Code from module getgroups:
81 # Code from module getloadavg:
82 # Code from module getopt-gnu:
83 # Code from module getopt-posix:
84 # Code from module gettext-h:
85 # Code from module gettime:
86 # Code from module gettimeofday:
87 # Code from module group-member:
88 # Code from module include_next:
89 # Code from module intprops:
90 # Code from module inttypes-incomplete:
91 # Code from module largefile:
92 AC_REQUIRE([AC_SYS_LARGEFILE])
93 # Code from module lstat:
94 # Code from module manywarnings:
95 # Code from module memrchr:
96 # Code from module mkostemp:
97 # Code from module mktime:
98 # Code from module multiarch:
99 # Code from module nocrash:
100 # Code from module openat-h:
101 # Code from module pathmax:
102 # Code from module pipe2:
103 # Code from module pselect:
104 # Code from module pthread_sigmask:
105 # Code from module putenv:
106 # Code from module qacl:
107 # Code from module readlink:
108 # Code from module readlinkat:
109 # Code from module root-uid:
110 # Code from module secure_getenv:
111 # Code from module sig2str:
112 # Code from module signal-h:
113 # Code from module snippet/_Noreturn:
114 # Code from module snippet/arg-nonnull:
115 # Code from module snippet/c++defs:
116 # Code from module snippet/warn-on-use:
117 # Code from module socklen:
118 # Code from module ssize_t:
119 # Code from module stat:
120 # Code from module stat-time:
121 # Code from module stdalign:
122 # Code from module stdarg:
123 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
124 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
125 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
126 dnl shouldn't hurt, though installers are on their own to set c99 mode.
127 gl_PROG_CC_C99
128 # Code from module stdbool:
129 # Code from module stddef:
130 # Code from module stdint:
131 # Code from module stdio:
132 # Code from module stdlib:
133 # Code from module strftime:
134 # Code from module string:
135 # Code from module strtoimax:
136 # Code from module strtoll:
137 # Code from module strtoull:
138 # Code from module strtoumax:
139 # Code from module symlink:
140 # Code from module sys_select:
141 # Code from module sys_stat:
142 # Code from module sys_time:
143 # Code from module tempname:
144 # Code from module time:
145 # Code from module time_r:
146 # Code from module timer-time:
147 # Code from module timespec:
148 # Code from module timespec-add:
149 # Code from module timespec-sub:
150 # Code from module u64:
151 # Code from module unistd:
152 # Code from module unsetenv:
153 # Code from module utimens:
154 # Code from module verify:
155 # Code from module warnings:
156 # Code from module xalloc-oversized:
157 ])
158
159 # This macro should be invoked from ./configure.ac, in the section
160 # "Check for header files, types and library functions".
161 AC_DEFUN([gl_INIT],
162 [
163 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
164 gl_cond_libtool=false
165 gl_libdeps=
166 gl_ltlibdeps=
167 gl_m4_base='m4'
168 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
169 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
170 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
171 m4_pushdef([gl_LIBSOURCES_LIST], [])
172 m4_pushdef([gl_LIBSOURCES_DIR], [])
173 gl_COMMON
174 gl_source_base='lib'
175 gl_FUNC_ALLOCA
176 gl_BYTESWAP
177 AC_CHECK_FUNCS_ONCE([readlinkat])
178 gl_CLOCK_TIME
179 gl_CLOSE_STREAM
180 gl_MODULE_INDICATOR([close-stream])
181 gl_COUNT_ONE_BITS
182 gl_COUNT_TRAILING_ZEROS
183 gl_MD5
184 gl_SHA1
185 gl_SHA256
186 gl_SHA512
187 gl_DIRENT_H
188 AC_REQUIRE([gl_C99_STRTOLD])
189 gl_FUNC_DUP2
190 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
191 AC_LIBOBJ([dup2])
192 gl_PREREQ_DUP2
193 fi
194 gl_UNISTD_MODULE_INDICATOR([dup2])
195 gl_ENVIRON
196 gl_UNISTD_MODULE_INDICATOR([environ])
197 gl_HEADER_ERRNO_H
198 gl_EXECINFO_H
199 AC_REQUIRE([gl_EXTERN_INLINE])
200 gl_FUNC_FACCESSAT
201 if test $HAVE_FACCESSAT = 0; then
202 AC_LIBOBJ([faccessat])
203 gl_PREREQ_FACCESSAT
204 fi
205 gl_MODULE_INDICATOR([faccessat])
206 gl_UNISTD_MODULE_INDICATOR([faccessat])
207 gl_FUNC_FCNTL
208 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
209 AC_LIBOBJ([fcntl])
210 fi
211 gl_FCNTL_MODULE_INDICATOR([fcntl])
212 gl_FCNTL_H
213 gl_FUNC_FDATASYNC
214 if test $HAVE_FDATASYNC = 0; then
215 AC_LIBOBJ([fdatasync])
216 fi
217 gl_UNISTD_MODULE_INDICATOR([fdatasync])
218 gl_FUNC_FDOPENDIR
219 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
220 AC_LIBOBJ([fdopendir])
221 fi
222 gl_DIRENT_MODULE_INDICATOR([fdopendir])
223 gl_MODULE_INDICATOR([fdopendir])
224 gl_FILEMODE
225 gl_FUNC_FPENDING
226 if test $gl_cv_func___fpending = no; then
227 AC_LIBOBJ([fpending])
228 gl_PREREQ_FPENDING
229 fi
230 gl_FUNC_FSTATAT
231 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
232 AC_LIBOBJ([fstatat])
233 fi
234 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
235 gl_FUNC_FSYNC
236 if test $HAVE_FSYNC = 0; then
237 AC_LIBOBJ([fsync])
238 gl_PREREQ_FSYNC
239 fi
240 gl_UNISTD_MODULE_INDICATOR([fsync])
241 gl_GETLOADAVG
242 if test $HAVE_GETLOADAVG = 0; then
243 AC_LIBOBJ([getloadavg])
244 gl_PREREQ_GETLOADAVG
245 fi
246 gl_STDLIB_MODULE_INDICATOR([getloadavg])
247 gl_FUNC_GETOPT_GNU
248 if test $REPLACE_GETOPT = 1; then
249 AC_LIBOBJ([getopt])
250 AC_LIBOBJ([getopt1])
251 gl_PREREQ_GETOPT
252 dnl Arrange for unistd.h to include getopt.h.
253 GNULIB_GL_UNISTD_H_GETOPT=1
254 fi
255 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
256 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
257 gl_FUNC_GETOPT_POSIX
258 if test $REPLACE_GETOPT = 1; then
259 AC_LIBOBJ([getopt])
260 AC_LIBOBJ([getopt1])
261 gl_PREREQ_GETOPT
262 dnl Arrange for unistd.h to include getopt.h.
263 GNULIB_GL_UNISTD_H_GETOPT=1
264 fi
265 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
266 gl_GETTIME
267 gl_FUNC_GETTIMEOFDAY
268 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
269 AC_LIBOBJ([gettimeofday])
270 gl_PREREQ_GETTIMEOFDAY
271 fi
272 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
273 gl_INTTYPES_INCOMPLETE
274 AC_REQUIRE([gl_LARGEFILE])
275 gl_FUNC_LSTAT
276 if test $REPLACE_LSTAT = 1; then
277 AC_LIBOBJ([lstat])
278 gl_PREREQ_LSTAT
279 fi
280 gl_SYS_STAT_MODULE_INDICATOR([lstat])
281 gl_FUNC_MEMRCHR
282 if test $ac_cv_func_memrchr = no; then
283 AC_LIBOBJ([memrchr])
284 gl_PREREQ_MEMRCHR
285 fi
286 gl_STRING_MODULE_INDICATOR([memrchr])
287 gl_FUNC_MKOSTEMP
288 if test $HAVE_MKOSTEMP = 0; then
289 AC_LIBOBJ([mkostemp])
290 gl_PREREQ_MKOSTEMP
291 fi
292 gl_MODULE_INDICATOR([mkostemp])
293 gl_STDLIB_MODULE_INDICATOR([mkostemp])
294 gl_FUNC_MKTIME
295 if test $REPLACE_MKTIME = 1; then
296 AC_LIBOBJ([mktime])
297 gl_PREREQ_MKTIME
298 fi
299 gl_TIME_MODULE_INDICATOR([mktime])
300 gl_MULTIARCH
301 gl_FUNC_PIPE2
302 gl_UNISTD_MODULE_INDICATOR([pipe2])
303 gl_FUNC_PSELECT
304 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
305 AC_LIBOBJ([pselect])
306 fi
307 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
308 gl_FUNC_PTHREAD_SIGMASK
309 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
310 AC_LIBOBJ([pthread_sigmask])
311 gl_PREREQ_PTHREAD_SIGMASK
312 fi
313 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
314 gl_FUNC_PUTENV
315 if test $REPLACE_PUTENV = 1; then
316 AC_LIBOBJ([putenv])
317 gl_PREREQ_PUTENV
318 fi
319 gl_STDLIB_MODULE_INDICATOR([putenv])
320 gl_FUNC_ACL
321 gl_FUNC_READLINK
322 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
323 AC_LIBOBJ([readlink])
324 gl_PREREQ_READLINK
325 fi
326 gl_UNISTD_MODULE_INDICATOR([readlink])
327 gl_FUNC_READLINKAT
328 if test $HAVE_READLINKAT = 0; then
329 AC_LIBOBJ([readlinkat])
330 fi
331 gl_UNISTD_MODULE_INDICATOR([readlinkat])
332 gl_FUNC_SIG2STR
333 if test $ac_cv_func_sig2str = no; then
334 AC_LIBOBJ([sig2str])
335 gl_PREREQ_SIG2STR
336 fi
337 gl_SIGNAL_H
338 gl_TYPE_SOCKLEN_T
339 gt_TYPE_SSIZE_T
340 gl_STAT_TIME
341 gl_STAT_BIRTHTIME
342 gl_STDALIGN_H
343 gl_STDARG_H
344 AM_STDBOOL_H
345 gl_STDDEF_H
346 gl_STDINT_H
347 gl_STDIO_H
348 gl_STDLIB_H
349 gl_FUNC_GNU_STRFTIME
350 gl_HEADER_STRING_H
351 gl_FUNC_STRTOIMAX
352 if test $HAVE_DECL_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
353 AC_LIBOBJ([strtoimax])
354 gl_PREREQ_STRTOIMAX
355 fi
356 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
357 gl_FUNC_STRTOUMAX
358 if test $HAVE_DECL_STRTOUMAX = 0 || test $REPLACE_STRTOUMAX = 1; then
359 AC_LIBOBJ([strtoumax])
360 gl_PREREQ_STRTOUMAX
361 fi
362 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
363 gl_FUNC_SYMLINK
364 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
365 AC_LIBOBJ([symlink])
366 fi
367 gl_UNISTD_MODULE_INDICATOR([symlink])
368 gl_HEADER_SYS_SELECT
369 AC_PROG_MKDIR_P
370 gl_HEADER_SYS_STAT_H
371 AC_PROG_MKDIR_P
372 gl_HEADER_SYS_TIME_H
373 AC_PROG_MKDIR_P
374 gl_HEADER_TIME_H
375 gl_TIME_R
376 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
377 AC_LIBOBJ([time_r])
378 gl_PREREQ_TIME_R
379 fi
380 gl_TIME_MODULE_INDICATOR([time_r])
381 gl_TIMER_TIME
382 gl_TIMESPEC
383 gl_UNISTD_H
384 gl_FUNC_UNSETENV
385 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
386 AC_LIBOBJ([unsetenv])
387 gl_PREREQ_UNSETENV
388 fi
389 gl_STDLIB_MODULE_INDICATOR([unsetenv])
390 gl_UTIMENS
391 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
392 gl_gnulib_enabled_dosname=false
393 gl_gnulib_enabled_euidaccess=false
394 gl_gnulib_enabled_getdtablesize=false
395 gl_gnulib_enabled_getgroups=false
396 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
397 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
398 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
399 gl_gnulib_enabled_pathmax=false
400 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
401 gl_gnulib_enabled_secure_getenv=false
402 gl_gnulib_enabled_stat=false
403 gl_gnulib_enabled_strtoll=false
404 gl_gnulib_enabled_strtoull=false
405 gl_gnulib_enabled_tempname=false
406 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
407 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
408 {
409 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
410 AC_LIBOBJ([openat-proc])
411 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
412 fi
413 }
414 func_gl_gnulib_m4code_dosname ()
415 {
416 if ! $gl_gnulib_enabled_dosname; then
417 gl_gnulib_enabled_dosname=true
418 fi
419 }
420 func_gl_gnulib_m4code_euidaccess ()
421 {
422 if ! $gl_gnulib_enabled_euidaccess; then
423 gl_FUNC_EUIDACCESS
424 if test $HAVE_EUIDACCESS = 0; then
425 AC_LIBOBJ([euidaccess])
426 gl_PREREQ_EUIDACCESS
427 fi
428 gl_UNISTD_MODULE_INDICATOR([euidaccess])
429 gl_gnulib_enabled_euidaccess=true
430 if test $HAVE_EUIDACCESS = 0; then
431 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
432 fi
433 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
434 if test $HAVE_EUIDACCESS = 0; then
435 func_gl_gnulib_m4code_stat
436 fi
437 fi
438 }
439 func_gl_gnulib_m4code_getdtablesize ()
440 {
441 if ! $gl_gnulib_enabled_getdtablesize; then
442 gl_FUNC_GETDTABLESIZE
443 if test $HAVE_GETDTABLESIZE = 0 || test $REPLACE_GETDTABLESIZE = 1; then
444 AC_LIBOBJ([getdtablesize])
445 gl_PREREQ_GETDTABLESIZE
446 fi
447 gl_UNISTD_MODULE_INDICATOR([getdtablesize])
448 gl_gnulib_enabled_getdtablesize=true
449 fi
450 }
451 func_gl_gnulib_m4code_getgroups ()
452 {
453 if ! $gl_gnulib_enabled_getgroups; then
454 gl_FUNC_GETGROUPS
455 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
456 AC_LIBOBJ([getgroups])
457 fi
458 gl_UNISTD_MODULE_INDICATOR([getgroups])
459 gl_gnulib_enabled_getgroups=true
460 fi
461 }
462 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
463 {
464 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
465 AC_SUBST([LIBINTL])
466 AC_SUBST([LTLIBINTL])
467 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
468 fi
469 }
470 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
471 {
472 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
473 gl_FUNC_GROUP_MEMBER
474 if test $HAVE_GROUP_MEMBER = 0; then
475 AC_LIBOBJ([group-member])
476 gl_PREREQ_GROUP_MEMBER
477 fi
478 gl_UNISTD_MODULE_INDICATOR([group-member])
479 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
480 if test $HAVE_GROUP_MEMBER = 0; then
481 func_gl_gnulib_m4code_getgroups
482 fi
483 if test $HAVE_GROUP_MEMBER = 0; then
484 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
485 fi
486 fi
487 }
488 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
489 {
490 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
491 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
492 fi
493 }
494 func_gl_gnulib_m4code_pathmax ()
495 {
496 if ! $gl_gnulib_enabled_pathmax; then
497 gl_PATHMAX
498 gl_gnulib_enabled_pathmax=true
499 fi
500 }
501 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
502 {
503 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
504 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
505 fi
506 }
507 func_gl_gnulib_m4code_secure_getenv ()
508 {
509 if ! $gl_gnulib_enabled_secure_getenv; then
510 gl_FUNC_SECURE_GETENV
511 if test $HAVE_SECURE_GETENV = 0; then
512 AC_LIBOBJ([secure_getenv])
513 gl_PREREQ_SECURE_GETENV
514 fi
515 gl_STDLIB_MODULE_INDICATOR([secure_getenv])
516 gl_gnulib_enabled_secure_getenv=true
517 fi
518 }
519 func_gl_gnulib_m4code_stat ()
520 {
521 if ! $gl_gnulib_enabled_stat; then
522 gl_FUNC_STAT
523 if test $REPLACE_STAT = 1; then
524 AC_LIBOBJ([stat])
525 gl_PREREQ_STAT
526 fi
527 gl_SYS_STAT_MODULE_INDICATOR([stat])
528 gl_gnulib_enabled_stat=true
529 if test $REPLACE_STAT = 1; then
530 func_gl_gnulib_m4code_dosname
531 fi
532 if test $REPLACE_STAT = 1; then
533 func_gl_gnulib_m4code_pathmax
534 fi
535 fi
536 }
537 func_gl_gnulib_m4code_strtoll ()
538 {
539 if ! $gl_gnulib_enabled_strtoll; then
540 gl_FUNC_STRTOLL
541 if test $HAVE_STRTOLL = 0; then
542 AC_LIBOBJ([strtoll])
543 gl_PREREQ_STRTOLL
544 fi
545 gl_STDLIB_MODULE_INDICATOR([strtoll])
546 gl_gnulib_enabled_strtoll=true
547 fi
548 }
549 func_gl_gnulib_m4code_strtoull ()
550 {
551 if ! $gl_gnulib_enabled_strtoull; then
552 gl_FUNC_STRTOULL
553 if test $HAVE_STRTOULL = 0; then
554 AC_LIBOBJ([strtoull])
555 gl_PREREQ_STRTOULL
556 fi
557 gl_STDLIB_MODULE_INDICATOR([strtoull])
558 gl_gnulib_enabled_strtoull=true
559 fi
560 }
561 func_gl_gnulib_m4code_tempname ()
562 {
563 if ! $gl_gnulib_enabled_tempname; then
564 gl_FUNC_GEN_TEMPNAME
565 gl_gnulib_enabled_tempname=true
566 func_gl_gnulib_m4code_secure_getenv
567 fi
568 }
569 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
570 {
571 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
572 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
573 fi
574 }
575 if test $HAVE_FACCESSAT = 0; then
576 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
577 fi
578 if test $HAVE_FACCESSAT = 0; then
579 func_gl_gnulib_m4code_dosname
580 fi
581 if test $HAVE_FACCESSAT = 0; then
582 func_gl_gnulib_m4code_euidaccess
583 fi
584 if test $HAVE_FACCESSAT = 0; then
585 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
586 fi
587 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
588 func_gl_gnulib_m4code_getdtablesize
589 fi
590 if test $HAVE_FDOPENDIR = 0; then
591 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
592 fi
593 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
594 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
595 fi
596 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
597 func_gl_gnulib_m4code_dosname
598 fi
599 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
600 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
601 fi
602 if test $REPLACE_GETOPT = 1; then
603 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
604 fi
605 if test $REPLACE_LSTAT = 1; then
606 func_gl_gnulib_m4code_dosname
607 fi
608 if test $REPLACE_LSTAT = 1; then
609 func_gl_gnulib_m4code_stat
610 fi
611 if test $HAVE_MKOSTEMP = 0; then
612 func_gl_gnulib_m4code_tempname
613 fi
614 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
615 func_gl_gnulib_m4code_stat
616 fi
617 if test $HAVE_READLINKAT = 0; then
618 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
619 fi
620 if test $HAVE_READLINKAT = 0; then
621 func_gl_gnulib_m4code_dosname
622 fi
623 if test $HAVE_READLINKAT = 0; then
624 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
625 fi
626 if { test $HAVE_DECL_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
627 func_gl_gnulib_m4code_strtoll
628 fi
629 if { test $HAVE_DECL_STRTOUMAX = 0 || test $REPLACE_STRTOUMAX = 1; } && test $ac_cv_type_unsigned_long_long_int = yes; then
630 func_gl_gnulib_m4code_strtoull
631 fi
632 m4_pattern_allow([^gl_GNULIB_ENABLED_])
633 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
634 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
635 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
636 AM_CONDITIONAL([gl_GNULIB_ENABLED_getdtablesize], [$gl_gnulib_enabled_getdtablesize])
637 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
638 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
639 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
640 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
641 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
642 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
643 AM_CONDITIONAL([gl_GNULIB_ENABLED_secure_getenv], [$gl_gnulib_enabled_secure_getenv])
644 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
645 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
646 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
647 AM_CONDITIONAL([gl_GNULIB_ENABLED_tempname], [$gl_gnulib_enabled_tempname])
648 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
649 # End of code from modules
650 m4_ifval(gl_LIBSOURCES_LIST, [
651 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
652 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
653 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
654 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
655 exit 1
656 fi
657 done])dnl
658 m4_if(m4_sysval, [0], [],
659 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
660 ])
661 m4_popdef([gl_LIBSOURCES_DIR])
662 m4_popdef([gl_LIBSOURCES_LIST])
663 m4_popdef([AC_LIBSOURCES])
664 m4_popdef([AC_REPLACE_FUNCS])
665 m4_popdef([AC_LIBOBJ])
666 AC_CONFIG_COMMANDS_PRE([
667 gl_libobjs=
668 gl_ltlibobjs=
669 if test -n "$gl_LIBOBJS"; then
670 # Remove the extension.
671 sed_drop_objext='s/\.o$//;s/\.obj$//'
672 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
673 gl_libobjs="$gl_libobjs $i.$ac_objext"
674 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
675 done
676 fi
677 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
678 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
679 ])
680 gltests_libdeps=
681 gltests_ltlibdeps=
682 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
683 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
684 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
685 m4_pushdef([gltests_LIBSOURCES_LIST], [])
686 m4_pushdef([gltests_LIBSOURCES_DIR], [])
687 gl_COMMON
688 gl_source_base='tests'
689 changequote(,)dnl
690 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
691 changequote([, ])dnl
692 AC_SUBST([gltests_WITNESS])
693 gl_module_indicator_condition=$gltests_WITNESS
694 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
695 m4_pattern_allow([^gl_GNULIB_ENABLED_])
696 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
697 m4_ifval(gltests_LIBSOURCES_LIST, [
698 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
699 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
700 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
701 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
702 exit 1
703 fi
704 done])dnl
705 m4_if(m4_sysval, [0], [],
706 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
707 ])
708 m4_popdef([gltests_LIBSOURCES_DIR])
709 m4_popdef([gltests_LIBSOURCES_LIST])
710 m4_popdef([AC_LIBSOURCES])
711 m4_popdef([AC_REPLACE_FUNCS])
712 m4_popdef([AC_LIBOBJ])
713 AC_CONFIG_COMMANDS_PRE([
714 gltests_libobjs=
715 gltests_ltlibobjs=
716 if test -n "$gltests_LIBOBJS"; then
717 # Remove the extension.
718 sed_drop_objext='s/\.o$//;s/\.obj$//'
719 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
720 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
721 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
722 done
723 fi
724 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
725 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
726 ])
727 LIBGNU_LIBDEPS="$gl_libdeps"
728 AC_SUBST([LIBGNU_LIBDEPS])
729 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
730 AC_SUBST([LIBGNU_LTLIBDEPS])
731 ])
732
733 # Like AC_LIBOBJ, except that the module name goes
734 # into gl_LIBOBJS instead of into LIBOBJS.
735 AC_DEFUN([gl_LIBOBJ], [
736 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
737 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
738 ])
739
740 # Like AC_REPLACE_FUNCS, except that the module name goes
741 # into gl_LIBOBJS instead of into LIBOBJS.
742 AC_DEFUN([gl_REPLACE_FUNCS], [
743 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
744 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
745 ])
746
747 # Like AC_LIBSOURCES, except the directory where the source file is
748 # expected is derived from the gnulib-tool parameterization,
749 # and alloca is special cased (for the alloca-opt module).
750 # We could also entirely rely on EXTRA_lib..._SOURCES.
751 AC_DEFUN([gl_LIBSOURCES], [
752 m4_foreach([_gl_NAME], [$1], [
753 m4_if(_gl_NAME, [alloca.c], [], [
754 m4_define([gl_LIBSOURCES_DIR], [lib])
755 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
756 ])
757 ])
758 ])
759
760 # Like AC_LIBOBJ, except that the module name goes
761 # into gltests_LIBOBJS instead of into LIBOBJS.
762 AC_DEFUN([gltests_LIBOBJ], [
763 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
764 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
765 ])
766
767 # Like AC_REPLACE_FUNCS, except that the module name goes
768 # into gltests_LIBOBJS instead of into LIBOBJS.
769 AC_DEFUN([gltests_REPLACE_FUNCS], [
770 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
771 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
772 ])
773
774 # Like AC_LIBSOURCES, except the directory where the source file is
775 # expected is derived from the gnulib-tool parameterization,
776 # and alloca is special cased (for the alloca-opt module).
777 # We could also entirely rely on EXTRA_lib..._SOURCES.
778 AC_DEFUN([gltests_LIBSOURCES], [
779 m4_foreach([_gl_NAME], [$1], [
780 m4_if(_gl_NAME, [alloca.c], [], [
781 m4_define([gltests_LIBSOURCES_DIR], [tests])
782 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
783 ])
784 ])
785 ])
786
787 # This macro records the list of files which have been installed by
788 # gnulib-tool and may be removed by future gnulib-tool invocations.
789 AC_DEFUN([gl_FILE_LIST], [
790 build-aux/snippet/_Noreturn.h
791 build-aux/snippet/arg-nonnull.h
792 build-aux/snippet/c++defs.h
793 build-aux/snippet/warn-on-use.h
794 lib/acl-errno-valid.c
795 lib/acl-internal.h
796 lib/acl.h
797 lib/acl_entries.c
798 lib/alloca.in.h
799 lib/allocator.c
800 lib/allocator.h
801 lib/at-func.c
802 lib/binary-io.c
803 lib/binary-io.h
804 lib/byteswap.in.h
805 lib/c-ctype.c
806 lib/c-ctype.h
807 lib/c-strcase.h
808 lib/c-strcasecmp.c
809 lib/c-strncasecmp.c
810 lib/careadlinkat.c
811 lib/careadlinkat.h
812 lib/close-stream.c
813 lib/close-stream.h
814 lib/count-one-bits.c
815 lib/count-one-bits.h
816 lib/count-trailing-zeros.c
817 lib/count-trailing-zeros.h
818 lib/dirent.in.h
819 lib/dosname.h
820 lib/dtoastr.c
821 lib/dtotimespec.c
822 lib/dup2.c
823 lib/errno.in.h
824 lib/euidaccess.c
825 lib/execinfo.c
826 lib/execinfo.in.h
827 lib/faccessat.c
828 lib/fcntl.c
829 lib/fcntl.in.h
830 lib/fdatasync.c
831 lib/fdopendir.c
832 lib/file-has-acl.c
833 lib/filemode.c
834 lib/filemode.h
835 lib/fpending.c
836 lib/fpending.h
837 lib/fstatat.c
838 lib/fsync.c
839 lib/ftoastr.c
840 lib/ftoastr.h
841 lib/getdtablesize.c
842 lib/getgroups.c
843 lib/getloadavg.c
844 lib/getopt.c
845 lib/getopt.in.h
846 lib/getopt1.c
847 lib/getopt_int.h
848 lib/gettext.h
849 lib/gettime.c
850 lib/gettimeofday.c
851 lib/gl_openssl.h
852 lib/group-member.c
853 lib/intprops.h
854 lib/inttypes.in.h
855 lib/lstat.c
856 lib/md5.c
857 lib/md5.h
858 lib/memrchr.c
859 lib/mkostemp.c
860 lib/mktime-internal.h
861 lib/mktime.c
862 lib/openat-priv.h
863 lib/openat-proc.c
864 lib/openat.h
865 lib/pathmax.h
866 lib/pipe2.c
867 lib/pselect.c
868 lib/pthread_sigmask.c
869 lib/putenv.c
870 lib/qcopy-acl.c
871 lib/qset-acl.c
872 lib/readlink.c
873 lib/readlinkat.c
874 lib/root-uid.h
875 lib/secure_getenv.c
876 lib/sha1.c
877 lib/sha1.h
878 lib/sha256.c
879 lib/sha256.h
880 lib/sha512.c
881 lib/sha512.h
882 lib/sig2str.c
883 lib/sig2str.h
884 lib/signal.in.h
885 lib/stat-time.c
886 lib/stat-time.h
887 lib/stat.c
888 lib/stdalign.in.h
889 lib/stdarg.in.h
890 lib/stdbool.in.h
891 lib/stddef.in.h
892 lib/stdint.in.h
893 lib/stdio.in.h
894 lib/stdlib.in.h
895 lib/strftime.c
896 lib/strftime.h
897 lib/string.in.h
898 lib/strtoimax.c
899 lib/strtol.c
900 lib/strtoll.c
901 lib/strtoul.c
902 lib/strtoull.c
903 lib/strtoumax.c
904 lib/symlink.c
905 lib/sys_select.in.h
906 lib/sys_stat.in.h
907 lib/sys_time.in.h
908 lib/tempname.c
909 lib/tempname.h
910 lib/time.in.h
911 lib/time_r.c
912 lib/timespec-add.c
913 lib/timespec-sub.c
914 lib/timespec.c
915 lib/timespec.h
916 lib/u64.c
917 lib/u64.h
918 lib/unistd.c
919 lib/unistd.in.h
920 lib/unsetenv.c
921 lib/utimens.c
922 lib/utimens.h
923 lib/verify.h
924 lib/xalloc-oversized.h
925 m4/00gnulib.m4
926 m4/absolute-header.m4
927 m4/acl.m4
928 m4/alloca.m4
929 m4/byteswap.m4
930 m4/c-strtod.m4
931 m4/clock_time.m4
932 m4/close-stream.m4
933 m4/count-one-bits.m4
934 m4/count-trailing-zeros.m4
935 m4/dirent_h.m4
936 m4/dup2.m4
937 m4/environ.m4
938 m4/errno_h.m4
939 m4/euidaccess.m4
940 m4/execinfo.m4
941 m4/extensions.m4
942 m4/extern-inline.m4
943 m4/faccessat.m4
944 m4/fcntl-o.m4
945 m4/fcntl.m4
946 m4/fcntl_h.m4
947 m4/fdatasync.m4
948 m4/fdopendir.m4
949 m4/filemode.m4
950 m4/fpending.m4
951 m4/fstatat.m4
952 m4/fsync.m4
953 m4/getdtablesize.m4
954 m4/getgroups.m4
955 m4/getloadavg.m4
956 m4/getopt.m4
957 m4/gettime.m4
958 m4/gettimeofday.m4
959 m4/gl-openssl.m4
960 m4/gnulib-common.m4
961 m4/group-member.m4
962 m4/include_next.m4
963 m4/inttypes.m4
964 m4/largefile.m4
965 m4/longlong.m4
966 m4/lstat.m4
967 m4/manywarnings.m4
968 m4/md5.m4
969 m4/memrchr.m4
970 m4/mkostemp.m4
971 m4/mktime.m4
972 m4/multiarch.m4
973 m4/nocrash.m4
974 m4/off_t.m4
975 m4/pathmax.m4
976 m4/pipe2.m4
977 m4/pselect.m4
978 m4/pthread_sigmask.m4
979 m4/putenv.m4
980 m4/readlink.m4
981 m4/readlinkat.m4
982 m4/secure_getenv.m4
983 m4/setenv.m4
984 m4/sha1.m4
985 m4/sha256.m4
986 m4/sha512.m4
987 m4/sig2str.m4
988 m4/signal_h.m4
989 m4/socklen.m4
990 m4/ssize_t.m4
991 m4/st_dm_mode.m4
992 m4/stat-time.m4
993 m4/stat.m4
994 m4/stdalign.m4
995 m4/stdarg.m4
996 m4/stdbool.m4
997 m4/stddef_h.m4
998 m4/stdint.m4
999 m4/stdio_h.m4
1000 m4/stdlib_h.m4
1001 m4/strftime.m4
1002 m4/string_h.m4
1003 m4/strtoimax.m4
1004 m4/strtoll.m4
1005 m4/strtoull.m4
1006 m4/strtoumax.m4
1007 m4/symlink.m4
1008 m4/sys_select_h.m4
1009 m4/sys_socket_h.m4
1010 m4/sys_stat_h.m4
1011 m4/sys_time_h.m4
1012 m4/tempname.m4
1013 m4/time_h.m4
1014 m4/time_r.m4
1015 m4/timer_time.m4
1016 m4/timespec.m4
1017 m4/tm_gmtoff.m4
1018 m4/unistd_h.m4
1019 m4/utimbuf.m4
1020 m4/utimens.m4
1021 m4/utimes.m4
1022 m4/warn-on-use.m4
1023 m4/warnings.m4
1024 m4/wchar_t.m4
1025 ])